Jak aktualizovat PHP 5.3.28 na PHP 7.1

jiri
04. říj 2019 17:05 #140868
Dobrý den, chtěl bych poprosit o pomoc .V administraci mám tuto hlášku :We have detected that your server is using PHP 5.3.28 which is obsolete and no longer receives official security updates by its developers. The Joomla! Project recommends upgrading your site to PHP 7.1 or later which will receive security updates at least until 1. 12. 2019. Please ask your host to make PHP 7.1 or a later version the default version for your site. If your host is already PHP 7.1 ready please enable PHP 7.1 on your site's root and 'administrator' directories – typically you can do this yourself through a tool in your hosting control panel, but it's best to ask your host if you are unsure

chtěl bych pomoci jak mám aktualizaci udělat a zda bude potřeba po aktualizaci udělat nějaká složitá nastavení ,jsem začatečník v administraci .Děkuji

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
04. říj 2019 23:08 #140873
URL webu?

MiniJoomla! - www.minijoomla.org - eshop s rozšířením
Virtuemart Mailing Manager - aplikace na správu šablon emailů pro VirtueMart
XML Easy Feeder - aplikace na generování feedů, napojení na ERP pro VirtueMart
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla!

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od jiri
05. říj 2019 00:17 #140874
Url webu je : 1url.cz/OMPZ2

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
05. říj 2019 03:10 #140875
Aktualizace PHP na serveru primárně nesouvisí s administrací ani Joomla.

Sekundárně ano, pokud máte starší verzi Joomla. Takže první si zjistěte v administraci jakou máte verzi Joomla a podle toho pak postupujte ohledně upgradů nebo migrace webu, například podle oficiální dokumentace Joomla:

downloads.joomla.org

dolní odkazy (aktuální verze je J3).

Určitě můžete také využít aplikaci akeeba pro přenos dat z jednoho serveru s nižším php na jiný server s vyšším php.

www.akeebabackup.com

MiniJoomla! - www.minijoomla.org - eshop s rozšířením
Virtuemart Mailing Manager - aplikace na správu šablon emailů pro VirtueMart
XML Easy Feeder - aplikace na generování feedů, napojení na ERP pro VirtueMart
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla!

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od HonzaG
05. říj 2019 09:08 #140876
A já jen doplním, že až přejdeš na PHP 7.1 a zaktualizuješ Joomlu, budeš dostávat novou hlášku, že v prosinci 2019 končí podpora PHP 7.1
Takže pokud chceš jít s dobou, doporučuji přechod na PHP 7.2 a pokud chceš být zcela aktuální, tak PHP 7.3

Pěkný den

HonzaG

::: Nejsem tak bohatý, abych kupoval levné věci... :::

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
05. říj 2019 14:55 #140878
Ano,

aktuálně používáme na nové weby PHP 7.3 a již testujeme PHP 7.4

MiniJoomla! - www.minijoomla.org - eshop s rozšířením
Virtuemart Mailing Manager - aplikace na správu šablon emailů pro VirtueMart
XML Easy Feeder - aplikace na generování feedů, napojení na ERP pro VirtueMart
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla!

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.